CREATE TABLE ad_session_attributes (
    SESSION_ID             NUMBER            NOT NULL,
    ATTRIBUTE_NAME         VARCHAR2(200)     NOT NULL,
    ATTRIBUTE_VALUE        VARCHAR2(1200)    NOT NULL,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    ORA_EDITION_CONTEXT    VARCHAR2(120)     NOT NULL,
    SESSION_ID             NUMBER            NOT NULL,
    ATTRIBUTE_NAME         VARCHAR2(200)     NOT NULL,
    ATTRIBUTE_VALUE        VARCHAR2(1200)    NOT NULL,
    CREATED_BY             VARCHAR2(256)     NOT NULL,
    CREATION_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128) ,
    ORA_EDITION_CONTEXT    VARCHAR2(120)     NOT NULL
);
